<?
############Введите данные для подключения к базе данных####################
$host="localhost";        #Хост
$login_mysql="root";      #Логин
$password_mysql="";       #Пароль
$baza_name="items";       #Имя базы

// Если будете размещать скрипт не в корне хоста, а в подпапке
// то пропишите в её значении имя этой папки и обязательно спереди оставьте слэш ( / ).
// Пример: $GLOBALS['p'] = "/katalog";
$GLOBALS['p'] = "";

$default_title = "Заголовок, вставляемый по умолчанию";
$default_keywords = "Ключевые слова, вставляемые по умолчанию";
$default_descr = "Описание страницы, вставляемое по умолчанию";
$small_width_new = 100; // Требуемая ширина для малой фотки
$big_width_new = 200; // Требуемая ширина для большой фотки
$normal_width_new = 600; // Требуемая ширина для очень большой фотки
$COUNT_SHOW_ITEMS = 6; // Кол-во наименований на странице
$COUNT_SHOW_ROWS = 2; // Кол-во наименований в строке
$category_width_ico = 50; // ширина картинок у категорий
$admin_mail = "support@google.com"; // адрес электронной почты администратора сайта
$manager_mail = "support@google.com"; // адрес электронной почты менеджера по продажам

##########################################################
#                дальше не трогать !!!
##########################################################
session_start();
setlocale(LC_ALL, 'ru_RU.CP1251');
$small_path = "upload_cat/small/";
$big_path = "upload_cat/big/";
$normal_path = "upload_cat/normal/";
$db = @mysql_connect("$host", "$login_mysql", "$password_mysql");
if (!$db) exit("<p>К сожалению, не доступен сервер MySQL</p>");
if (!@mysql_select_db($baza_name,$db)) exit("<p>К сожалению, не доступна база данных</p>");  	
$h = "http://".$_SERVER['HTTP_HOST'].$GLOBALS['p'];
$im = "http://".$_SERVER['HTTP_HOST'].$GLOBALS['p']."/img";
function img_resize($src, $dest, $width, $height, $rgb=0xFFFFFF, $quality=100)
{
  if (!file_exists($src)) return false;
  $size = getimagesize($src);
  if ($size === false) return false;
  $format = strtolower(substr($size['mime'], strpos($size['mime'], '/')+1));
  $icfunc = "imagecreatefrom" . $format;
  if (!function_exists($icfunc)) return false;
  $x_ratio = $width / $size[0];
  $y_ratio = $height / $size[1];
  $ratio       = min($x_ratio, $y_ratio);
  $use_x_ratio = ($x_ratio == $ratio);
  $new_width   = $use_x_ratio  ? $width  : floor($size[0] * $ratio);
  $new_height  = !$use_x_ratio ? $height : floor($size[1] * $ratio);
  $new_left    = $use_x_ratio  ? 0 : floor(($width - $new_width) / 2);
  $new_top     = !$use_x_ratio ? 0 : floor(($height - $new_height) / 2);
  $isrc = $icfunc($src);
  $idest = imagecreatetruecolor($width, $height);
  imagefill($idest, 0, 0, $rgb);
  imagecopyresampled($idest, $isrc, $new_left, $new_top, 0, 0, 
  $new_width, $new_height, $size[0], $size[1]);
  imagejpeg($idest, $dest, $quality);
  imagedestroy($isrc);
  imagedestroy($idest);
  return true;
}
function page_list ($page, $num, $count_on_page)
{
	if (!isset($page) && intval($page) == 0) $page = 1;
	$count_pages = intval($num / $count_on_page);
	$ostatok = $num % $count_on_page;
	if($ostatok > 0) $count_pages++;
	$start = $count_on_page * $page - $count_on_page;
	return $start;
}
function show_page_list ($page, $num, $count_on_page, $id_cat)
{
	echo "<table align=center><tr><td>";
	if (!isset($page) && intval($page) == 0) $page = 1;
	$count_pages = intval($num / $count_on_page);
	$ostatok = $num % $count_on_page;
	if($ostatok > 0) $count_pages++;
	if ($page>1) echo " <a href = \"http://".$_SERVER['HTTP_HOST'].@$GLOBALS['p']."/cat/$id_cat/page/".($page - 1)."/\" title = \"Предыдущая страница\"> <strong class=\"sm gray\"><<</strong> </a> ";
	$diapazon = 5;
	$page_from = $page - $diapazon; 
	if($page_from < 1) $page_from = 1;
	$page_to = $page + $diapazon; 
	if($page_to > $count_pages) $page_to = $count_pages;

	for ($i = $page_from; $i <= $page_to; $i++)
	{
		if ($count_pages != 1)
		{
			if ($i == $page) echo " <strong class=gray>[$i]</strong> ";
			else echo "<a href =\"http://".$_SERVER['HTTP_HOST'].@$GLOBALS['p']."/cat/$id_cat/page/$i/\" title=\"$i страница\"> [$i] </a>";
		}
	}

	if ($page<$count_pages) echo " <a href = \"http://".$_SERVER['HTTP_HOST'].@$GLOBALS['p']."/cat/$id_cat/page/".($page + 1)."/\" title=\"Следующая страница\"> <strong class=\"sm gray\">>></strong> </a> ";
	echo "</td></tr></table>";
}
function PluralForm($n, $form1, $form2, $form5)
{
    $n = abs($n) % 100;
    $n1 = $n % 10;
    if ($n > 10 && $n < 20) return $form5;
    if ($n1 > 1 && $n1 < 5) return $form2;
    if ($n1 == 1) return $form1;
    return $form5;
}
function listsubcategory($id, $sub)
{
	$categories = mysql_query("SELECT * FROM jshop_categories WHERE root_category = $id");
	while($category = mysql_fetch_array($categories)) 
	{	
		$query = mysql_query("SELECT * FROM jshop_categories WHERE root_category = ". $category['id']);
		for($i = 0; $i < $sub; $i++) echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
		echo "<a href=\"http://".$_SERVER['HTTP_HOST'].@$GLOBALS['p']."/cat/".$category['id']."/\"><span class=\"b gray decor\">".$category['category_name']."</span></a><br />";
		listsubcategory($category['id'], $sub+1);
	}
}
?>